Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
members
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Organizations.Members.ListAsync(
            id: "id",
            request: new ListOrganizationMembersRequestParameters {
                From = "from",
                Take = 1,
                Fields = "fields",
                IncludeFields = true
            }
        );
    }

}
[
  {
    "user_id": "<string>",
    "picture": "<string>",
    "name": "<string>",
    "email": "john.doe@gmail.com",
    "roles": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ]
  }
]

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Organization identifier.

Maximum string length: 50

Paramètres de requête

page
integer

Page index of the results to return. First page is 0.

Plage requise: 0 <= x <= 1000
per_page
integer

Number of results per page. Defaults to 50.

Plage requise: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Plage requise: 1 <= x <= 100
fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields.

include_fields
boolean

Whether specified fields are to be included (true) or excluded (false).

Réponse

Members successfully retrieved.

user_id
string

ID of this user.

picture
string

URL to a picture for this user.

name
string

Name of this user.

email
string<email>
défaut:john.doe@gmail.com

Email address of this user.

roles
object[]